// ----------------------------------------------------------------------------
//
// umFish20.PAS                                           Ulrich Mller  5.3.00
//                                                        Procida 400NT Delphi4
// Deklarationen und Variable zu umFish20.DLL
//
// LongInt Parameter, da in umFish.DLL DWORD erforderlich und LongWord nicht in
// Delphi2 vorhanden ist
//
// ----------------------------------------------------------------------------

unit umFish20;

interface
const
  ftiAus=0; ftiEin=1; ftiLinks=1; ftiRechts=2;
  ftiFehler=$0001FFFF; ftiTrue=-1; ftiFalse=0;

type TftiDCB = record
  hCom:         LongInt;         // --- PortHandle / Openflag ( = 0)
  PortID:       LongInt;         //     IO-Adresse bei LPT
  LPTDelay:     LongInt;         //     LPT Verzgerungsfaktor
  LPTAnalog:    LongInt;         //     LPT Analogfaktor
  ECount:       LongInt;         //     Anzahl E-Eingnge (8/16)

  FID:          LongInt;         // --- MultiMediaTimer : Handle
  PollInterval: LongInt;         //     Pollinterval des MM-Timers
  AnalogScan:   LongInt;         //     Pollen auuch der Analogeingnge (0/1)

  OutputStatus: LongInt;         // --- Status der M-Ausgnge
  InputStatus:  LongInt;         //     Status der E-Eingnge
  Analogs:      array[0..1] of LongInt; //  Werte der A-Eingnge
  Counters:     array[1..16] of LongInt; // Impulse an den E-Eingngen
  end;

var
  ftiDCB: TftiDCB;

function umOpenInterface(var ft: TftiDCB; PortName: string):LongInt;
       stdcall; external 'umFish20.dll';
function umCloseInterface(var ft: TftiDCB):LongInt;
       stdcall; external 'umFish20.dll';
function umGetVersion:LongInt;
       stdcall; external 'umFish20.dll';
function umGetInput(var ft: TftiDCB; InputNr:LongInt):LongInt;
       stdcall; external 'umFish20.dll';
function umSetMotor(var ft: TftiDCB; MotorNr, Direction:LongInt):LongInt;
       stdcall; external 'umFish20.dll';
function umSetLamp(var ft: TftiDCB; LampNr, OnOff:LongInt):LongInt;
       stdcall; external 'umFish20.dll';
function umStartDriver:LongInt; stdcall; external 'umFish20.dll';
function umStopDriver:LongInt;  stdcall; external 'umFish20.dll';

implementation

end.
