// ------------------------------------------------------------------------------
//
// umFish20L.CPP                                           Ulrich Mller   6.9.01
//                                                         Procida 400NT VC++ 6.0
// Testrahmen VC++ (Konsole) fr umFish20.DLL mit umFish20Load.h
//
// ------------------------------------------------------------------------------

#include <iostream.h>
#include "umFish20Load.h"

ftiDCB Interface;
DWORD res, i, j;
DWORD Ampel[] = {0x1, 0x4, 0x10};

void main()
{
  if (!LoadFish()) {cout << "Ladefehler umFish20.DLL" << endl; return;}
	cout << "---- umFish20L gestartet ----" << endl;
  Interface.AnalogScan = 1;     // --- A-Eingnge scannen
	Interface.ECount = 8;         // --- nur Master Interface (defaultWert)
	Interface.LPTAnalog = 5;      // --- Skalierung Analog (defaultWert)
	Interface.LPTDelay = 10;      // --- LPT Verzgerung   (defaultWert)
	Interface.PollInterval = 16;  // --- defaultWert
	                              // --- Setzen der defaultWerte nicht erforderlich.

	
  res = umOpenInterface(Interface, "COM1");             // ----- COM1 bei Bedarf ndern 
  if(res == ftiFehler)                                  //       COMxx oder LPT1 - LPT3, LPT
  {
    cout << "Interface Problem, Abbruch" << endl;
    return;
  }
  cout << "OpenInterface erfolgreich" << endl;
  cout << "Handle XXX : " << Interface.hCom << endl;


  cout << "--- Schleife ueber die Motoren" << endl;
	for(j=0; j<4; j++) {
		Interface.OutputStatus = 0;
		Sleep(300);
		for(i=0; i<3; i++) {
			res = umSetMotor(Interface, i+2, 1);
			cout << "  OutputStatus : " << Interface.OutputStatus 
				   << " EX : " << Interface.Analogs[0] <<endl;
			Sleep (500);
		}
	}
  
  cout << "--- Analog X : " << Interface.Analogs[0] << endl;
  
  Interface.OutputStatus = 0;
	res = umGetVersion();
  cout << " ENDE : Eingang 1 = TRUE, InputStatus : " << Interface.InputStatus  << endl;
  while(!umGetInput(Interface, 1));
	res = umCloseInterface(Interface);
	FreeFish();
  cout << "--- ENDE umFishVC ----" << endl;
}

