// ------------------------------------------------------------------------------
//
// umFish20VC.CPP                                          Ulrich Mller   4.3.00
//                                                         Procida 400NT VC++ 6.0
// Testrahmen VC++ (Konsole) fr umFish20.DLL
//
// ------------------------------------------------------------------------------

#include <windows.h>
#include <iostream.h>
#include "umFish20VC.h"

ftiDCB Interface;
DWORD res, i, j;
DWORD Ampel[] = {0x1, 0x4, 0x10};

void main()
{
  cout << "---- umFish20VC gestartet ----" << endl;
  Interface.AnalogScan = 1;
  Interface.ECount = 8;
//	Interface.LPTAnalog = 5;
//	Interface.LPTDelay = 10;
//	Interface.PollInterval = 100;
	
  res = umOpenInterface(Interface, "COM1");             // ----- COM1 bei Bedarf ndern 
  if(res == ftiFehler)                                  //       COMxx oder LPT1 - LPT3, LPT
  {
    cout << "Interface Problem, Abbruch" << endl;
    return;
  }
  cout << "OpenInterface erfolgreich" << endl;
  cout << "Handle XXX : " << Interface.hCom << endl;


  cout << "--- Schleife ueber die Motoren" << endl;
	for(j=0; j<4; j++) {
		Interface.OutputStatus = 0;
		Sleep(300);
		for(i=0; i<3; i++) {
			res = umSetMotor(Interface, i+2, 1);
			cout << "  OutputStatus : " << Interface.OutputStatus 
				   << " EX : " << Interface.Analogs[0] <<endl;
			Sleep (500);
		}
	}
  
  cout << "--- Analog X : " << Interface.Analogs[0] << endl;
  
  Interface.OutputStatus = 0;
	res = umGetVersion();
  cout << " ENDE : Eingang 1 = TRUE, InputStatus : " << Interface.InputStatus  << endl;
  while(!umGetInput(Interface, 1));
	res = umCloseInterface(Interface);
  cout << "--- ENDE umFishVC ----" << endl;
}

